> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Create One Time Use Token (SDK Checkout)

> Generates a one time volatile token for secure payment processing within an active checkout session

Creates a one-time volatile token for secure payment processing within a checkout session.


## OpenAPI

````yaml openapi/checkout-sessions/create-one-time-use-token-sdk-checkout.json POST /checkout/sessions/{checkout_session}/token
openapi: 3.1.0
info:
  title: 3ds-setup
  version: 1.0.2
servers:
  - url: https://api-sandbox.y.uno/v1
    description: Sandbox
  - url: https://api.y.uno/v1
    description: Production (US)
  - url: https://api.eu.y.uno/v1
    description: Production (EMEA)
security:
  - sec0: []
    sec1: []
paths:
  /checkout/sessions/{checkout_session}/token:
    post:
      operationId: post_checkout-sessions-checkout-session-token
      parameters:
        - in: path
          name: checkout_session
          schema:
            type: string
            default: '{{checkout_session}}'
          required: true
          description: Checkout session identifier (UUID).
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                payment_method:
                  type: object
                  properties: {}
              required:
                - payment_method
            examples:
              Card Payment:
                summary: Card Payment
                value:
                  account_id: '{{account_id}}'
                  card_data:
                    number: '4111111111111111'
                    expiration_month: 12
                    expiration_year: 29
                    security_code: '123'
                    holder_name: John Doe
                  payment_method:
                    type: CARD
                    card:
                      number: '4111111111111111'
                      expiration_month: 12
                      expiration_year: 29
                      security_code: '123'
                      holder_name: John Doe
      responses:
        '201':
          content:
            application/json:
              schema:
                type: object
                properties:
                  token:
                    type: string
                    example: dab106a6-9067-4418-ae43-6045663531dc
                  vaulted_token: {}
                  vault_on_success:
                    type: boolean
                    example: false
                    default: true
                  type:
                    type: string
                    example: CARD
                  card_data:
                    type: object
                    properties:
                      holder_name:
                        type: string
                        example: John Doe
                      iin:
                        type: string
                        example: '41111111'
                      lfd:
                        type: string
                        example: '1111'
                      number_length:
                        type: integer
                        example: 16
                        default: 0
                      security_code_length:
                        type: integer
                        example: 3
                        default: 0
                      brand:
                        type: string
                        example: VISA
                      type:
                        type: string
                        example: DEBIT
                      category:
                        type: string
                        example: CLASSIC
                      issuer_name:
                        type: string
                        example: CONOTOXIA SP Z O O
                      issuer_code: {}
                      fingerprint: {}
                      country_code:
                        type: string
                        example: PL
                  customer: {}
                  installment: {}
                  country:
                    type: string
                    example: BR
                  customer_session: {}
                  bank_transfer:
                    type: object
                    description: >-
                      ACH only. Bank transfer details derived from the token
                      request.
                    properties:
                      bank_name:
                        type: string
                        description: >-
                          ACH only. The bank name Yuno derives from the routing
                          number (or the value sent in the token request).
                          Account and routing numbers are never returned.
                        example: JPMorgan Chase
              examples:
                Created - Card Payment:
                  summary: Created - Card Payment
                  value:
                    token: dab106a6-9067-4418-ae43-6045663531dc
                    vaulted_token: null
                    vault_on_success: false
                    type: CARD
                    card_data:
                      holder_name: John Doe
                      iin: '41111111'
                      lfd: '1111'
                      number_length: 16
                      security_code_length: 3
                      brand: VISA
                      type: DEBIT
                      category: CLASSIC
                      issuer_name: CONOTOXIA SP Z O O
                      issuer_code: null
                      fingerprint: null
                      country_code: PL
                    customer: null
                    installment: null
                    country: BR
                    customer_session: null
          description: Created
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: public-api-key
      x-default: <Your public-api-key>
    sec1:
      type: apiKey
      in: header
      name: private-secret-key
      x-default: <Your private-secret-key>

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.